* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  /* font-family: 'Arial', sans-serif; */
}

body {
  /* background-color: #f9f9f9; */
  /* padding: 10px; */
}
.body-container {
    padding: 50px 0px 0px 0px;
}
.header {
  box-shadow: unset;
  min-height: auto;
}

.backButton{
    display: flex;
}
.logo{
    display: none;
}
.parent-nav-icons{
    display: none;
}
.mobile-nav-icons{
    display: none;
}
.series-container {
  max-width: 730px;
  margin: 0 auto;
}

.banner {
  position: relative;
  overflow: hidden;
  /* border-radius: 10px; */
  background: #F3F3F3;
}

/* Keep your image as-is */
.banner img {
  width: 100%;
  height: auto;
  display: block;
  max-height: 400px;
      object-fit: contain;

}

/* ✅ Gradient overlay */
.banner::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /* background: linear-gradient(
    357.94deg,
    #202936 -3%,
    rgba(32, 41, 54, 0) 96.82%
  ); */
  box-shadow: 1px 1px 4px 0px #0000001F;
  pointer-events: none; /* allows clicks through overlay */
}

.trailer-banner::after{
    content: "";
    position: absolute;
    inset: 0;
    background: url("/images/traileroverlay.png") center center no-repeat;
    background-size: contain;
    pointer-events: none; /* allows clicks to pass through */
    width: 99.70%;
  /* background: linear-gradient(
    357.94deg,
    #202936 -3%,
    rgba(32, 41, 54, 0) 96.82%
  ); */
}

/* Your play button stays above the gradient */

.play-button {
  position: absolute;
  top: 45%;
  left: 50%;
  transform: translate(-50%, -50%);
  /* background: rgba(0, 0, 0, 0.6); */
   background: none;
  color: #fff;
  /* padding: 10px 20px; */
      /* padding: 15px 19px; */
  /* border: none; */
  font-size: 16px;
  border-radius: 50%;
  cursor: pointer;
  z-index: 2; /* ensures above overlay */
  /* border: 1.81px solid #FFFFFF; */
  width: unset !important;

}
.play-button:focus {
  background: rgba(0, 0, 0, 0.6);
  outline: none; /* optional, removes default focus outline */
}
.player-text{
  z-index: 2;
   position: absolute;
  /* top: 63%; */
   top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  /* background: rgba(0, 0, 0, 0.6); */
  color: #fff;
   font-family: Lato;
font-weight: 600;
font-style: SemiBold;
font-size: 18px;
leading-trim: NONE;
line-height: 100%;
letter-spacing: 0%;
text-align: center;
  margin-top: 30px;
}

/* --- Series Info --- */
.series-info {
  /* padding: 16px 0; */
  /* padding: 12px  0;  */
  padding: 12px  0px 0px 0px; 
}

.series-header {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

.series-header h2 {
  font-size: 20px;
  margin-bottom: 5px;
}

.cardDetails-tag {
font-family: Lato;
font-weight: 400;
font-style: Regular;
font-size: 18px;
leading-trim: NONE;
line-height: 100%;
letter-spacing: 0%;
color: #3C3C43;

}

.live-enrolled-course{
      background: #E53935 !important;
          color: #fff !important;
          border:none !important;
}
.live-enrolled-course svg path {
    fill: #fff !important;
}
.episode-play-btn svg path {
    fill: #F47A20 ;
}

.episode-play-btn {
  
  display: flex
;
    align-items: center;
    justify-content: center;
  /* background: #116DB6; */
  /* background:  #006CBA; */
    background:  #fff;
 
  /* color: #fff; */
   color: #F47A20;
  padding: 12px 16px;
  font-size: 16px;
  border: none;
  border-radius: 8px;
  margin: 12px 0;
  width: 300px;
  cursor: pointer;
gap: 10px;
  font-family: Lato;
font-weight: 600;
font-style: SemiBold;
font-size: 18px;
leading-trim: NONE;
line-height: 100%;
letter-spacing: 0%;
text-align: center;
text-transform: unset;
border: 2px solid #F47A20;

}

.latest-episode-play-btn svg path {
    fill: #fff
}
.latest-episode-play-btn {
  
  display: flex
;
    align-items: center;
    justify-content: center;
  /* background: #116DB6; */
  background:  #006CBA;
 
  /* color: #DC6900; */
    color: #fff;

  padding: 12px 16px;
  font-size: 16px;
  border: none;
  border-radius: 8px;
  margin: 12px 0;
  width: 300px;
  cursor: pointer;
gap: 10px;
  font-family: Lato;
font-weight: 600;
font-style: SemiBold;
font-size: 18px;
leading-trim: NONE;
line-height: 100%;
letter-spacing: 0%;
text-align: center;
text-transform: unset;
/* border: 1.2px solid #FF7A00 */
/* border: 2px solid #FF7A00; */
/* height: 53px; */
height: 57px;

}

.episode-play-btn-outer{
  width: 300px;
}
.forMobileIcons{
  display: none
}
.forDesktopIcons{
  display: flex
}
.desktop-btn-with-icons{
  display: flex;
  align-items: center;
  gap:30px
}

.description {
  
  color: #333;
  /* margin-top: 8px; */
  font-family: Lato;
font-weight: 400;
font-style: Regular;
font-size: 18px;
leading-trim: NONE;
line-height: 20px;
letter-spacing: 0%;
color: #333F50;

}

/* --- Episodes --- */
.episodes {
  /* margin-top: 20px; */
  margin-top: 0px;
}

.episode-header {
  display: flex;
  justify-content: start;
  align-items: center;
  margin-bottom: 14px;
  gap: 10px;
  width: 100%;
}
.episode-name{
  font-family: Lato;
font-weight: 700;
font-style: Bold;
font-size: 26px;
leading-trim: NONE;
line-height: 100%;
letter-spacing: 0%;
color: #202936;

}

.episode-header h3 {
  font-size: 18px;
}
.episode-all-link {
  position: relative;
  font-family: Lato;
font-weight: 600;
font-style: SemiBold;
font-size: 18px;
leading-trim: NONE;
line-height: 100%;
letter-spacing: 0%;
text-align: center;
text-decoration: underline;
text-decoration-style: solid;
text-decoration-offset: 0%;
text-decoration-thickness: 0%;
color: #116DB6;

  cursor: pointer;
  display: flex;
  align-items: center;

}
 .episode-all-link svg{
    width: 33px;
    height: 33px;
  }

.episode-all-details{
  display: flex;
  align-items: start;
  overflow: hidden;
  overflow-y: hidden;
  overflow-x: auto;
  gap: 20px;
  padding: 0px 0px;
  padding-bottom: 20px;
}
.chapter-content {
  margin-bottom: unset;
}
.episode-card {
  display: flex;
  background: #f5f5f5;
  /* background: #fff; */
  /* padding: 10px; */
  border-radius: 16px;
  box-shadow: 0px 1px 5px rgba(0,0,0,0.1);
  max-width: 261px;
  min-width: 260px;
  flex-direction: column;
   align-items: start;
  border: 1px solid #F1F1F1;
        /* text-align: center; */
}

.episode-card img {
  /* width: 100px; */
  height: auto;
  max-height: 136px;
  /* border-radius: 8px; */
  margin-right: 10px;

  width: 100%;
        margin: 0 0 10px 0;
}
    .episode-content {
        width: 100%;
        display: flex;
        justify-content: space-between;
          padding: 0px 10px 10px 10px;
          height: 163px;

    }
    .episode-playandshere-btn{
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      align-items: baseline;

    }
.episode-content-details{
  width: 100%;
  max-width: 215px;
}

.episode-content-name{
  font-family: Lato;
font-weight: 700;
font-style: Bold;
font-size: 18px;
leading-trim: NONE;
line-height: 100%;
letter-spacing: 0.5px;
color: #334155;

display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
        height: 38px;
        margin-bottom: 8px;

}
.episode-content-duration{
  font-family: Lato;
font-weight: 400;
font-style: Regular;
font-size: 16px;
leading-trim: NONE;
line-height: 100%;
letter-spacing: 0%;
color: #817F7F;
margin-bottom: 5px;

}
.episode-content-description{
  font-family: Lato;
font-weight: 400;
font-style: Regular;
font-size: 16px;
leading-trim: NONE;
line-height: 16px;
letter-spacing: 0px;
color: #47576E;

display: -webkit-box;
    -webkit-line-clamp: 4 !important;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
        height: 67px;

}

.cardDetails-title{
  font-family: Lato;
font-weight: 900;
font-style: Black;
font-size: 26px;
leading-trim: NONE;
line-height: 120%;
letter-spacing: 0%;
color: #202936;
display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
    max-height: 50px;

}
.cardDetails-title-tag{
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 10px;
}
.cardDetails-icons{
  /* display: flex; */
  align-items: center;
font-family: Lato;
font-weight: 500;
font-style: Medium;
font-size: 16px;
leading-trim: NONE;
line-height: 100%;
letter-spacing: 0%;
text-align: center;
color: #202936;
gap: 24px;
}


/* subscription bottom modal css start */
.subscription-box {
  position: relative;
  /* max-width: 400px; */
  /* margin: 20px auto; */
  background: #e2e5eb;
  border-radius: 10px;
  padding: 11px 8px;
  box-shadow: 0 4px 10px rgba(0,0,0,0.1);
  font-family: Arial, sans-serif;

      position: fixed;
    /* margin: 2px auto; */
    right: 6px;
    width: 96%;
    bottom: 35px;
}

.premiumtextTitle {
font-family: Lato;
font-weight: 700;
font-style: Bold;
font-size: 18px;
leading-trim: NONE;
line-height: 100%;
letter-spacing: 0%;
color: #334155;

}
.premiumtext-innerpara{
  font-family: Lato;
font-weight: 600;
font-style: SemiBold;
font-size: 13px;
leading-trim: NONE;
line-height: 100%;
letter-spacing: 0%;
color: #334155;
padding-top: 8px;

}

.list-of-premiumnotes {
  /* list-style: disc;
  padding-left: 20px;
  margin: 0; */
  display: block;
  padding-top: 6px;
}

.list-of-premiumnotes span {
  font-family: Lato;
font-weight: 500;
font-style: Medium;
font-size: 12px;
leading-trim: NONE;
line-height: 16px;
letter-spacing: 0%;
vertical-align: middle;
color: #6A778C;

}

.subscription-box .close-btn {
  position: absolute;
    top: -10px;
    right: -1px;
    background: none;
    border: none;
    font-size: 18px;
    cursor: pointer;
    color: #ffffff;
    /* line-height: 1; */
    padding: 0px 6px;
    border-radius: 50%;
    width: 22px;
    height: 24px;
    /* top: 749px; */
    /* left: 367px; */
 
    background: #334155;
    
}

.activesubs-parent{
  display: flex;
  align-items: center;
  gap:5px;
  font-family: Lato;
font-weight: 600;
font-style: SemiBold;
font-size: 14px;
leading-trim: NONE;
line-height: 16px;
letter-spacing: 0%;
vertical-align: middle;
color: #1A3950;

}

/* subscription bottom modal css end */
.course-detail-hld .container{
  background: unset;
  max-width: 100%;
}


.progress{
  display: none !important;
}

.swal2-popup.reminder-toast {
  border-radius: 12px !important;
  box-shadow: 0 2px 8px rgba(0,0,0,0.1);
  padding: 13px 10px !important;
  font-size: 14px !important;
  font-weight: 600 !important;
}
.swal2-popup.reminder-toast .swal2-title {
  font-size: 15px;
  font-weight: 500;
}

.swal-left-text {
  text-align: left;
  padding-left: 4px;
  width: 100%;
}
.savedvideopopup{
  font-family: Lato;
font-weight: 600;
font-style: SemiBold;
font-size: 16px;
leading-trim: NONE;
line-height: 100%;
letter-spacing: 0%;
color: #334155;
text-align: left ;
padding-left: 8px;
}
/* FILTER DESIGN OF COURSE START */



.selected-option {
  padding: 6px 3px;
  border-radius: 4px;
  background-color: #f9f9f9;
  color:#116DB6;
}

.filter-dropdown-options {
  display: none;
  position: absolute;
  top: 100%;
  /* left: 0; */
  right: -5px;
  width: 100%;
  min-width: 180px;
  /* border: 1px solid #007aff; */
  border-radius: 8px;
  /* background: #fff; */
  background: #F9F9F9;
  box-shadow: 0px 4px 4px 0px #00000040;
  border: 1px solid #C7D0DE;

  z-index: 10;
  padding: 10px;
  text-align: start;
}

.sub-filter-btn {
  padding: 10px 10px;
  cursor: pointer;
  transition: background-color 0.2s;
  font-family: Lato;
font-weight: 500;
font-style: Medium;
font-size: 18px;
leading-trim: NONE;
line-height: 100%;
letter-spacing: 0%;
color: #717070;
border-radius: 6px;

}

.sub-filter-btn:hover {
  background-color: #f0f0f0;
}

.sub-filter-btn.active {
  background: #E9E9E9;
font-family: Lato;
font-weight: 500;
font-style: Medium;
font-size: 18px;
leading-trim: NONE;
line-height: 100%;
letter-spacing: 0%;
color: #202936;

}
/* FILTER DESIGN OF COURSE END */



.popup-overlay{
        display: none;
    background-color: #000;
    bottom: 0;
    left: 0;
    opacity: 0.5;
    filter: alpha(opacity=50);
    position: fixed;
    right: 0;
    top: 0;
    z-index: 9;
}

.course-description-read-more-parent {
  /* height: 92px; */
  height: 34px;
  overflow: hidden;
  /* border: 1px solid #ccc; */
  /* padding: 0px 10px; */
  text-overflow: ellipsis;
  transition: height 0.3s ease;
  padding-top: 10px;

}
.course-description-read-more-parent p {
font-family: Lato !important;
/* margin-bottom: unset !important; */
color: #333f50 !important;
}
.course-description-read-more-parent.expanded {
  height: auto; /* expands to fit full content */
}
.syllabus-read-more-btn{
   cursor: pointer;
  margin-top: 5px;
  user-select: none;
color: #3E88C3;
/* padding-left: 10px; */
  font-family: Lato;
font-weight: 400;
font-style: Regular;
font-size: 14px;
leading-trim: NONE;
line-height: 16px;
letter-spacing: 0%;
text-decoration: underline;
text-decoration-style: solid;
text-decoration-offset: 0%;
text-decoration-thickness: 0%;
text-decoration-skip-ink: auto;
}
.read-more-btn {
  /* color: #007bff; */
  cursor: pointer;
  margin-top: 5px;
  user-select: none;
color: #3E88C3;
/* padding-left: 10px; */
  font-family: Lato;
font-weight: 400;
font-style: Regular;
font-size: 16px;
leading-trim: NONE;
line-height: 16px;
letter-spacing: 0%;
text-decoration: underline;
text-decoration-style: solid;
text-decoration-offset: 0%;
text-decoration-thickness: 0%;
text-decoration-skip-ink: auto;
padding-bottom: 15px;

}
.read-more-btn:hover,.syllabus-read-more-btn:hover {
  text-decoration: underline;
}

.remindmebtn{
  display: flex;
  flex-direction: column;
  gap: 8px;
  cursor: pointer;
}
.courseCard-share{
  display: flex;
  flex-direction: column;
  gap: 8px;
  cursor: pointer;
}
.start-enrolled-course{
  padding: 15px 16px;
}
.episode-sharebtn{
  display: none;
}
.topicviewsduration-outer{
  display: flex;
  align-items: center;
  gap: 10px;
}
.cardDetails-tag-duration,.cardDetails-tag-view{
  font-family: Lato;
font-weight: 400;
font-style: Regular;
font-size: 18px;
leading-trim: NONE;
line-height: 100%;
letter-spacing: 0%;
/* color: #817F7F; */
color: #334155;

display: flex;
  align-items: center;
  gap: 4px; /* spacing between dot & text */

}

.singledot {
  width: 4px;
  height: 4px;
  background-color: #334155;
  border-radius: 50%;
}

.episode-content.expanded {
    height: auto;
}

.episode-content-description.expanded {
    display: block;
    height: auto;
    -webkit-line-clamp: unset;
    
}
.syllabusthumbnalimg{
  width: 100%;
  cursor: pointer;
}
.episode-playerbtn {
  cursor: pointer;
}

.last-played-highlight {
  /* border: 2px solid #006CBA; */
  box-shadow: 0 0 15px rgba(0, 108, 186, 0.4);
  animation: pulseHighlight 1.5s ease-in-out infinite;
  border-radius: 20px;
}

@keyframes pulseHighlight {
  0% { box-shadow: 0 0 5px rgba(0, 108, 186, 0.3); }
  50% { box-shadow: 0 0 20px rgba(0, 108, 186, 0.6); }
  100% { box-shadow: 0 0 5px rgba(0, 108, 186, 0.3); }
}

/* new css for releaseon and reminder start */
.outer-releaseandreminder{
  display: flex;
  align-items: baseline;
  justify-content: space-between;
  gap: 20px;  
}
.inner-releaseon{
  display: flex;
  flex-direction: column;
  gap: 5px;
}
.inner-reminder{
    display: flex;
align-items: center;
  gap: 3px;
  cursor: pointer;
}
.inner-releaseon-label{
font-family: Lato;
font-weight: 500;
font-style: Bold;
font-size: 16px;
leading-trim: NONE;
line-height: 16px;
letter-spacing: 0%;
color: #1BA948;

}
.inner-releaseon-date{

  font-family: Lato;
font-weight: 500;
font-style: Medium;
font-size: 14px;
leading-trim: NONE;
line-height: 16px;
letter-spacing: 0%;
color: #817F7F;
}
.inner-reminder-label{
  font-family: Lato;
font-weight: 500;
font-style: Bold;
font-size: 16px;
leading-trim: NONE;
line-height: 16px;
letter-spacing: 0%;
/* text-decoration: underline; */
text-decoration-style: solid;
text-decoration-offset: 0%;
text-decoration-thickness: 0%;
text-decoration-skip-ink: auto;
color: #1BA948;

}
.inner-reminder-img{
  padding-bottom: 3px;
}

.btnDisabled {
  pointer-events: none !important;
  /* opacity: 0.5 !important; */
  cursor: not-allowed !important;
  background: #D9D9D9 !important;
  color: #9E9999 !important;
  border:none;
}

.btnDisabled svg path {
  fill: #9E9999 !important;
}
.IsStreamNowClass{
  background: #E53935 !important;
}

.singledotforreminder {
  width: 5px;
  height: 5px;
  background-color: #817F7F;
  border-radius: 50%;
  display: none;
}

/* new css for releaseon and reminder end */

 @media (min-width: 992px) {

  .remind_me svg,.courseCard-share svg{
    width: 28px;
    height: 28px;
  }

  .outer-releaseandreminder{
  max-width: 600px;
}
  .singledotforreminder {

  display: flex;
}

  .inner-releaseon{
  flex-direction: row;
  gap: 8px;
  align-items: center;
}


.course-video-container .container{
  background: unset;
  max-width: 738px;
}
.nav-btn {
  padding-top: 3px;
}
.episode-play-btn-outer{
  width: unset;
  display: flex;
  align-items: center;
  /* gap: 15px; */
  gap: 30px;
}
 }
 @media (max-width: 991px) {
  .savedvideopopup{
    font-size: 14px;
    
    }
  .inner-reminder-img{
    padding-bottom: unset;
  }
  .list-of-premiumnotes {
    display: flex;
    flex-wrap: wrap;
  }
  .series-info {
  /* padding: 16px 0; */
  /* padding: 12px  0;  */
  padding: 12px  0px 12px 0px; 
}

  .episode-all-details{ 
  gap: 10px;

}
  .episode-card {
  border-radius: 16px;
  }
   .episode-content {
          height: 148px;
    }
  .episode-content-description{
  font-family: Lato;
font-weight: 400;
font-style: Regular;
font-size: 14px;
leading-trim: NONE;
line-height: 15px;
letter-spacing: 0px;
color: #47576E;

display: -webkit-box;
    -webkit-line-clamp: 4 !important;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
        height: 63px;

}
  .episode-content-duration{
 
font-size: 14px;
margin-bottom: 2px;

}
  .episode-content-name{
  font-family: Lato;
font-weight: 700;
font-style: Bold;
font-size: 16px;
leading-trim: NONE;
line-height: 100%;
letter-spacing: 0.5px;
color: #334155;

display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
        height: 34px;
        margin-bottom: 6px;

}
  .episode-all-link {
font-size: 16px;
  }
  .episode-all-link svg{
    width: unset;
    height: unset;
  }
  .episode-name{
font-size: 20px;
}
  .filter-dropdown-options {
  display: none;
  position: absolute;
  top: 100%;
  /* left: 0; */
  right: -3px;
  width: 100%;
  min-width: 150px;
  /* border: 1px solid #007aff; */
  border-radius: 8px;
  background: #fff;
  box-shadow: 0 2px 4px rgba(0,0,0,0.1);
  z-index: 10;
  padding: 10px;
  text-align: center;
}
.sub-filter-btn {
  padding: 6px 10px;
  cursor: pointer;
  transition: background-color 0.2s;
  font-family: Lato;
font-weight: 500;
font-style: Medium;
font-size: 14px;
leading-trim: NONE;
line-height: 100%;
letter-spacing: 0%;
color: #717070;
border-radius: 6px;

}

.sub-filter-btn:hover {
  background-color: #f0f0f0;
}

.sub-filter-btn.active {
  background: #E9E9E9;
font-family: Lato;
font-weight: 500;
font-style: Medium;
font-size: 14px;
leading-trim: NONE;
line-height: 100%;
letter-spacing: 0%;
color: #202936;

}
  .course-description-read-more-parent {
  /* height: 136px; */
  height: 105px;
  /* height: 140px; */
}
  .description {
  font-size: 14px;
  line-height: 16px;
  }
  .cardDetails-title{
    font-size: 20px;
  }
    .cardDetails-tag,.cardDetails-tag-duration,.cardDetails-tag-view {
font-size: 14px;
}
  .episode-header {
  display: flex;
  justify-content: center;
  }
  .start-enrolled-course{
  padding: 12px 16px !important;
}
  .course-detail-hld.container{
  max-width: unset;
}
  .cardDetails-icons{
    gap: 10px;
    font-size: 12px;
  }
  .forMobileIcons{
  display: flex
}
.forDesktopIcons{
  display: none
}
  .episode-play-btn {
    font-size: 16px;
      padding: 10px 16px;
   width: 100%;
  }
  .latest-episode-play-btn {
    font-size: 16px;
      padding: 10px 16px;
   width: 100%;
    /* height: 43px; */
     height: 48px;
       /* border: 1.2px solid #FF7A00; */
  }
  .episode-play-btn-outer{
    width: 100%;
  }
  
    

  .banner img {
      object-fit: contain;

}

 }
/* --- Responsive --- */
@media (max-width: 480px) {
  .episode-card {
    flex-direction: column;
    align-items: start;

  }

  .episode-card img {
    width: 100%;
    margin: 0 0 10px 0;
  }

  .episode-content {
    width: 100%;
  }
  .player-text{
    /* top: 70%; */
     margin-top: 36px;
  }

  
}
